Description

The order of custom fields determines the order/placement of those input fields on the user interface.

Currently, you can change the order of custom fields by clicking on the arrow buttons for up, down, top, bottom.

This is not very use-able once you reach >40 custom fields, particualrly if you need to place some new custom field somewhere

around the middle.

I propose that some sort of "insert" feature of some kind be implemented.

It can take many different forms, such as:

Giving a custom field a sort number (and increment the sort number for all custom fields that come afterwards), allowing an option to

enter how many slots to move, drag & drop interface, etc.

Having Both options for inputting a sort index number AND having the ability to drag and drop would be ideal and most flexible.

Maybe even have the ability to mass edit/set the order for multiple custom fields at a time?

Any method that doesn't force the user to change the sort order of custom fields a single slot at a time, one custom field at a time,

would alleviate the problem.

Related issues:

Related to Redmine - Feature #12909: Drag'n'drop order configuration for stat... Closed

History

#1 - 2015-01-29 04:07 - David Miles

James H wrote:

The order of custom fields determines the order/placement of those input fields on the user interface.

Currently, you can change the order of custom fields by clicking on the arrow buttons for up, down, top, bottom.

This is not very use-able once you reach >40 custom fields, particualrly if you need to place some new custom field somewhere around the

middle.

I propose that some sort of "insert" feature of some kind be implemented.

It can take many different forms, such as:

Giving a custom field a sort number (and increment the sort number for all custom fields that come afterwards), allowing an option to enter how

many slots to move, drag & drop interface, etc.

Having Both options for inputting a sort index number AND having the ability to drag and drop would be ideal and most flexible. Maybe even

have the ability to mass edit/set the order for multiple custom fields at a time?

Any method that doesn't force the user to change the sort order of custom fields a single slot at a time, one custom field at a time, would alleviate

the problem.

 +1

It will be good to add drag&drop for custom fields order`s page.

#2 - 2016-02-17 11:23 - Luis Blasco

+1
Specially when you have many custom fields and you create a new field that you want to place in the middle of the list.

#3 - 2016-03-13 20:24 - Ryan Maloney

+1 for drag and drop. Being able to group by a "type" or "category" would be useful too.

#4 - 2016-03-14 04:39 - Go MAEDA

- File drag-and-drop.gif added

The patch attached on #12909#note-4 have implemented drag and drop feature. Please take a look at the patch.

You can see a demo animation by opening drag-and-drop.gif

#5 - 2016-03-14 04:40 - Go MAEDA

- Related to Feature #12909: Drag'n'drop order configuration for statuses, trackers, roles... added

#6 - 2016-03-14 22:44 - James H

yay, thank you

#7 - 2016-03-30 15:20 - Daniel N

Awesome! Looking forward for 3.3.0.

#8 - 2016-12-17 18:03 - Marius BĂLTEANU

I think that the request from this issue was  been implemented by the related issue (#12909) and it can be closed.

#9 - 2016-12-18 04:10 - Mischa The Evil

- Status changed from New to Closed

Marius BALTEANU wrote:

I think that the request from this issue was  been implemented by the related issue (#12909) and it can be closed.

 I agree and I think that the OP will too, so I'll close it as such. Additional requests can, when necessary, be handled through separate issues. Thanks

for your note.
